/{organizationId}/finance/receipts/textBlocksCreate receipt text block
Creates a new receipt text block for a given organization
Required permissions:
receiptTextBlock.read
Path Parameters
organizationIdstringrequired Request Body required
Content-Type: application/json
typestringrequired Options:
titleintrodeliveryTermsnotereceiptTypestringrequired Options:
invoicedepositdonationofferconfirmationinvoiceRefundtitlestringoptional maxLength: 30
introstringoptional maxLength: 2000
deliveryTermsstringoptional maxLength: 255
notestringoptional maxLength: 2000
standardbooleanoptional Default: false
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/finance/receipts/textBlocks' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"type": "title",
"receiptType": "invoice"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
Response
{
"_id": "000000000000000000000001"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}